import * as React from "react";
import useRenderElement from "./useRenderElement.js";
export var ComponentRender = function ComponentRender(props) {
  var fallbackElement = props.fallbackElement,
      runtimeError = props.runtimeError;

  var _useRenderElement = useRenderElement(props),
      element = _useRenderElement.element,
      markup = _useRenderElement.markup,
      compilerError = _useRenderElement.error;

  var error = runtimeError || compilerError;
  React.useEffect(function () {
    if (!error) {
      fallbackElement.current = React.cloneElement(element);
    }
  });
  return props.children({
    element: error ? fallbackElement.current : element,
    error: error,
    markup: markup
  });
};