import * as Babel from "@babel/standalone";
import { exportToIifePlugin } from "./export-to-iife-plugin.js";
var cases = [{
  name: "class",
  source: "export default class Foo {}",
  expected: "class Foo {}\n\nreturn Foo;"
}, {
  name: "const",
  source: "const Foo = 1; export default Foo",
  expected: "const Foo = 1;\nreturn Foo;"
}];
Babel.registerPlugin("export-to-iife", exportToIifePlugin);
describe("exportToIIFEPlugin", function () {
  test.each(cases)('transforms "$name" imports', function (_ref) {
    var expected = _ref.expected,
        source = _ref.source;

    var _Babel$transform = Babel.transform(source, {
      plugins: ["export-to-iife"]
    }),
        code = _Babel$transform.code;

    expect(code).toEqual(expected);
  });
});