import _Array$from from "@babel/runtime-corejs2/core-js/array/from";
import * as Babel from "@babel/standalone";
import transformSource from "./transformSource.js";
describe("transformSource", function () {
  it("calls Babel to transform code", function () {
    var source = "FOO";
    var transformed = "BAR";
    var transform = jest.spyOn(Babel, "transform").mockImplementation(function () {
      return {
        code: transformed
      };
    });
    expect(transformSource({}, source)).toBe(transformed);
    expect(transform).toBeCalledWith(source, expect.any(Object));
  });
  it("merges config", function () {
    var source = "FOO";
    var transform = jest.spyOn(Babel, "transform");
    transformSource({
      plugins: ["@babel/plugin-proposal-class-properties"],
      presets: ["env"]
    }, source);
    expect(transform).toBeCalledWith(source, expect.objectContaining({
      plugins: expect.arrayContaining(["import-resolver", "export-to-iife", "@babel/plugin-proposal-class-properties"]),
      presets: expect.arrayContaining(["env", "react"])
    }));
  });
  it("is memoized", function () {
    var config = {};
    var transform = jest.spyOn(Babel, "transform");

    _Array$from(Array(10)).forEach(function () {
      transformSource(config, "FOO");
    });

    expect(transform).toBeCalledTimes(2);
  });
});