import * as PropTypes from "prop-types";
import * as React from "react";
import { RenderChildrenProp, RenderConfig, SourceCode } from "./types";
declare type SourceRenderProps = RenderConfig & {
    children: RenderChildrenProp;
    /**
     * A function that allows to customize you rendering of an result element, i.e wrap with a
     * Provider.
     */
    wrap: (children: React.ReactElement) => React.ReactElement;
};
declare type SourceRenderState = {
    error: Error | null;
    source: SourceCode;
};
export declare class SourceRender extends React.Component<SourceRenderProps, SourceRenderState> {
    static propTypes: {
        babelConfig: PropTypes.Requireable<object>;
        children: PropTypes.Validator<(...args: any[]) => any>;
        renderHtml: PropTypes.Requireable<boolean>;
        resolver: PropTypes.Validator<(...args: any[]) => any>;
        resolverContext: PropTypes.Requireable<object>;
        source: PropTypes.Validator<string>;
        wrap: PropTypes.Requireable<(...args: any[]) => any>;
    };
    static defaultProps: {
        babelConfig: {};
        renderHtml: boolean;
        resolverContext: {};
        wrap: (children: React.ReactElement<any, string | ((props: any) => React.ReactElement<any, string | any | (new (props: any) => React.Component<any, any, any>)> | null) | (new (props: any) => React.Component<any, any, any>)>) => React.ReactElement<any, string | ((props: any) => React.ReactElement<any, string | any | (new (props: any) => React.Component<any, any, any>)> | null) | (new (props: any) => React.Component<any, any, any>)>;
    };
    state: {
        error: null;
        source: string;
    };
    fallbackElement: React.MutableRefObject<React.ReactElement<any, string | ((props: any) => React.ReactElement<any, string | any | (new (props: any) => React.Component<any, any, any>)> | null) | (new (props: any) => React.Component<any, any, any>)>>;
    static getDerivedStateFromProps(props: SourceRenderProps, state: SourceRenderState): SourceRenderState;
    static getDerivedStateFromError(error: Error): Partial<SourceRenderState>;
    render(): React.ReactElement<any, string | ((props: any) => React.ReactElement<any, string | any | (new (props: any) => React.Component<any, any, any>)> | null) | (new (props: any) => React.Component<any, any, any>)>;
}
export {};
