import * as T from "@babel/types";
import { NodePath } from "@babel/traverse";
export declare type BabelPluginArguments = {
    types: typeof T;
};
declare type BabelPluginVisitorFunction<N> = (path: NodePath<N>) => void;
declare type BabelPluginVisitor<N> = BabelPluginVisitorFunction<N> | {
    exit: BabelPluginVisitorFunction<N>;
};
export declare type BabelPlugin = (options: BabelPluginArguments) => {
    visitor: Partial<{
        ExportDefaultDeclaration: BabelPluginVisitor<T.ExportDefaultDeclaration>;
        ImportDeclaration: BabelPluginVisitor<T.ImportDeclaration>;
        Program: BabelPluginVisitor<T.Program>;
    }>;
};
export {};
