import * as React from 'react';
export declare type BabelConfig = Record<string, any>;
export declare type SourceCode = string;
export declare type Resolver = (importPath: string, context?: ResolverContext) => void;
export declare type ResolverContext = Object;
export declare type RenderChildrenProp = (result: {
    element: React.ReactElement | null;
    error: Error | null;
    markup: string;
}) => React.ReactElement;
export declare type RenderConfig = {
    /** A config for Babel. */
    babelConfig?: BabelConfig;
    /**
     * An option that controls rendering of HTML with ReactDOM server, it allows to omit
     * rendering when you're using portals.
     */
    renderHtml?: boolean;
    /** A function for the imports resolution. */
    resolver?: Resolver;
    /** An object that will be passed additionally to resolver function. */
    resolverContext?: ResolverContext;
    /** A string that contains the source code. */
    source: SourceCode;
};
